Extending Qt Creator Manual | TextEditorActionHandler

Extending Qt Creator Manual 4.5.2

# TextEditorActionHandler Class

(TextEditor::TextEditorActionHandler)

- List of all members, including inherited members

## Public Types

enum | OptionalActionsMask { None, Format, UnCommentSelection, UnCollapseAll, FollowSymbolUnderCursor, JumpToFileUnderCursor }

## Public Functions

| TextEditorActionHandler(QObject *parent, Core::Id editorId, Core::Id contextId, uint optionalActions = None)
| ~TextEditorActionHandler()
void | setTextEditorWidgetResolver(const TextEditorWidgetResolver &resolver)

## Member Type Documentation

### enum TextEditorActionHandler::OptionalActionsMask

## Member Function Documentation

### TextEditorActionHandler::TextEditorActionHandler(QObject *parent, Core::Id editorId, Core::Id contextId, uint optionalActions = None)

Default constructs an instance of TextEditorActionHandler.

### TextEditorActionHandler::~TextEditorActionHandler()

Destroys the instance of TextEditorActionHandler.

### void TextEditorActionHandler::setTextEditorWidgetResolver(const TextEditorWidgetResolver &resolver)